> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lootexplus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Orders

> Returns the execution plan required to cancel orders on the exchange.



## OpenAPI

````yaml POST /v1/orders/cancel
openapi: 3.0.0
info:
  title: Lootex Plus API - V1
  description: V1 endpoints
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.lootexplus.com
security: []
tags: []
paths:
  /v1/orders/cancel:
    post:
      tags:
        - V1
      summary: Get execution plan for canceling orders
      description: Returns the execution plan required to cancel orders on the exchange.
      operationId: OrdersController_cancelOrders
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CancelOrdersDto'
      responses:
        '200':
          description: Order cancellation execution plan
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutionDto'
              example:
                steps:
                  - id: cancel-orders
                    items:
                      - type: transaction
                        data:
                          to: '0xa313d4f11e69a320a68167e7aafacea8f3413593'
                          data: >-
                            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
                        hashes:
                          - >-
                            0x9a9262f6e73a65f99466834ccfff8e0e135db91dc558eafb17273c6064fe0b26
      security:
        - x-api-key: []
components:
  schemas:
    CancelOrdersDto:
      type: object
      properties:
        chainId:
          type: number
          example: 1868
          description: Chain ID
        orderHashes:
          example:
            - '0xaabdbab8b4485b784e00d80943964da179a92257248e665b0f035d4daabe85f8'
          description: Order hashes to cancel
          type: array
          items:
            type: string
      required:
        - chainId
        - orderHashes
    ExecutionDto:
      type: object
      properties:
        steps:
          type: array
          items:
            $ref: '#/components/schemas/StepDto'
          description: Execution steps
      required:
        - steps
    StepDto:
      type: object
      properties:
        id:
          type: string
          description: Step identifier
          enum:
            - approve-tokens
            - approve-aggregator
            - create-orders
            - cancel-orders
            - exchange
          example: approve-tokens
        items:
          type: array
          items:
            $ref: '#/components/schemas/StepItemDto'
          description: Step items
      required:
        - id
        - items
    StepItemDto:
      type: object
      properties:
        type:
          type: string
          description: Step item type
          enum:
            - transaction
            - signTypedData
            - post
          example: transaction
        data:
          type: object
          description: Step item data
      required:
        - type
        - data
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````